#include <iostream> // score: 100
#include <iterator>
#include <vector>
#include <algorithm>
#include <cstdlib>
int main() {
  std::vector<long long> xs(std::next(std::istream_iterator<long long>(std::cin)), {});
  auto mm = std::minmax_element(xs.begin(), xs.end());
  long long twice_middle = (*mm.first+*mm.second);
  long long left = twice_middle/2 - (long long)xs.size() - 1,
            right=(twice_middle+1)/2 + (long long)xs.size() + 1;
  std::vector<bool> histogram(right-left+1);
  for (auto& x : xs)
    if (left <= x && x <= right)
      histogram[x - left] = true;
  long long best = left;
  for (std::size_t i=0; i<=histogram.size(); ++i) {
    if (!histogram[i] && (std::llabs(2*(left+i) - twice_middle) <
                          std::llabs(2*best - twice_middle)))
      best = left+i;
  }
  std::cout << best << '\n';
}
